/**
  * Player
  * Auteur : G.Burri
  * version 1.0
  */
  
import java.util.*;
import java.lang.String;

/**
  * class Player
  * Ajoute des informations supplmentaire 
  * PlayerBase comme la trace et le nom.
  * Un Player est reprsenter par sa trace et sa position (la position de la tte),
  * la trace ne contient pas la position de la tte.
  */
class Player extends PlayerBase
{
   private String nick;
   private Vector trace;

   /**
     * Constructeur.
     * pos : la position actuelle d'un joueur
     * id : l'id du joueur
     * name : le nom du joueur
     */
   public Player(Position pos, int id, String name)
   {
      super(pos, id);
      this.nick = name;
      this.trace = new Vector();       
   }
    
    /**
      * Retourne la trace du joueur.
      * retourne : la trace sous la forme d'un vecteur de position
      * (voir classe Position)
      */
    public Vector getTrace()
    {
        return this.trace;   
    }
    
    /**
      * Ajoute une position au joueur.
      * newPos : la nouvelle position (voir classe Position)
      */
    public void changePosition(Position newPos)
    {
        this.trace.add(this.position);
        this.position = newPos;
    }
    
    /**
      * Renvois le nom du joueur.
      * retourne : le nick
      */
    public String getNick()
    {
        return this.nick;   
    }
}
