/**
  * State
  * Auteur : G.Burri
  * version 1.0
  */
  
import java.lang.*;
import java.util.*; 

/**
  * class State
  * Reprsente l'tat du jeu.
  */
class State
{
    private int state;
    
    private HashMap players;
    
   /**
     * Constructeur.
     * state : l'tat du joueur
     */
    public State(int state)
    {
        this.state = state;   
        this.players = new HashMap();
    }
    
   /**
     * Ajoute un joueur.
     * PlayerBase : le joueur
     */
    public void addPlayer(PlayerBase player)
    {
        this.players.put(new Integer(player.getId()), player);
    }
    
   /**
     * Retourne l'tat du joueur.
     * retourne : l'tat, peut prendre les valeurs suivante :
     *  01 : toujours en lice
     *  02 : perdu
     *  03 : gagne la partie
     *  04 : perd la partie
     */
    public int getState()
    {
        return this.state;   
    }
    
    /**
      * Retourne un joueur adverse en fonction de son id.
      * Si le joueur n'existe pas alors une exception NoPlayer
      * est lev (par exemple si un joueur s'est dconnect pendant la partie).
      * id : l'id du joueur
      * retourne : un joueur (voir classe PlayerBase)
      */
    public PlayerBase getPlayer(int id) throws NoPlayer
    {
        if(this.players.containsKey(new Integer(id)))
        {
            return (PlayerBase)(this.players.get(new Integer(id)));
        }
        else
            throw new NoPlayer();
    }    
}

class NoPlayer extends Exception{}

